Bug 1002532 - ReplaceCommand with ignorePrevValue=true does not work on null entries
Summary: ReplaceCommand with ignorePrevValue=true does not work on null entries
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ER2
: 6.2.0
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks: 1010419
TreeView+ depends on / blocked
 
Reported: 2013-08-29 12:02 UTC by Radim Vansa
Modified: 2014-04-28 15:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-3449 0 Critical Resolved ReplaceCommand with ignorePrevValue=true does not work on null entries 2013-10-08 11:19:47 UTC

Description Radim Vansa 2013-08-29 12:02:08 UTC
If ReplaceCommand with ignorePrevValue=true is executed on a backup owner node which has not the entry in the container (for example because the state transfer was not completed yet), the entry won't be in the command's context. Then, in the ReplaceCommand.perform() the entry is not replaced and the command fails.
The command on primary owner succeeds as it does not check whether the responses are successful.

Comment 3 JBoss JIRA Server 2013-09-25 14:40:30 UTC
Dan Berindei <dberinde@redhat.com> made a comment on jira ISPN-3449

Looks like this only happens for non-tx caches, for tx caches we use {{EntryFactory.wrapEntryForPut()}} when ignorePreviousValue is {{true}}.

Comment 4 JBoss JIRA Server 2013-09-25 20:24:38 UTC
Pedro Ruivo <pedroruivo2@gmail.com> updated the status of jira ISPN-3449 to Resolved


Note You need to log in before you can comment on or make changes to this bug.